{
  "charts": [
    {
      "copySelectionFromScript": true,
      "def": {
        "animationDimension": [],
        "animationFrameDuration": 3000,
        "animationRepeat": true,
        "axis1LogScale": false,
        "axis2LogScale": false,
        "boxplotBreakdownDim": [],
        "boxplotValue": [],
        "bubblesOptions": {
          "defaultRadius": 5.0,
          "singleShape": "FILLED_CIRCLE"
        },
        "chartHeight": 200,
        "colorMeasure": [],
        "colorOptions": {
          "ccScaleMode": "NORMAL",
          "colorPalette": "default",
          "customColors": {},
          "customPalette": {
            "colors": [],
            "fixedValues": false,
            "id": "__dku_custom__",
            "name": "Custom Palette",
            "values": []
          },
          "heatDensityMapIntensity": 0.5,
          "heatDensityMapRadius": 0.5,
          "numQuantizeSteps": 5,
          "paletteMiddleValue": 0.0,
          "paletteType": "CONTINUOUS",
          "quantizationMode": "NONE",
          "singleColor": "#2678B1",
          "transparency": 0.75
        },
        "displayWithEChartsByDefault": true,
        "facetDimension": [],
        "fillOpacity": 0.6,
        "filters": [],
        "genericDimension0": [],
        "genericDimension1": [],
        "genericMeasures": [],
        "geoLayers": [
          {
            "colorOptions": {
              "ccScaleMode": "NORMAL",
              "colorPalette": "default",
              "customColors": {},
              "customPalette": {
                "colors": [],
                "fixedValues": false,
                "id": "__dku_custom__",
                "name": "Custom Palette",
                "values": []
              },
              "heatDensityMapIntensity": 0.5,
              "heatDensityMapRadius": 0.5,
              "numQuantizeSteps": 5,
              "paletteMiddleValue": 0.0,
              "paletteType": "CONTINUOUS",
              "quantizationMode": "NONE",
              "singleColor": "#2678B1",
              "transparency": 0.75
            },
            "geometry": [
              {
                "adminLevel": 0,
                "aggregationFunction": "DISTINCT",
                "column": "merchant_bubble",
                "isA": "ua",
                "treatAsAlphanum": false,
                "type": "GEOMETRY"
              }
            ],
            "uaColor": []
          },
          {
            "colorOptions": {
              "ccScaleMode": "NORMAL",
              "colorPalette": "default",
              "customColors": {},
              "customPalette": {
                "colors": [],
                "fixedValues": false,
                "id": "__dku_custom__",
                "name": "Custom Palette",
                "values": []
              },
              "heatDensityMapIntensity": 0.5,
              "heatDensityMapRadius": 0.5,
              "numQuantizeSteps": 5,
              "paletteMiddleValue": 0.0,
              "paletteType": "CONTINUOUS",
              "quantizationMode": "NONE",
              "singleColor": "#ECD941",
              "transparency": 0.75
            },
            "geometry": [
              {
                "adminLevel": 0,
                "aggregationFunction": "DISTINCT",
                "column": "cardholder_geopoint",
                "isA": "ua",
                "treatAsAlphanum": false,
                "type": "GEOPOINT"
              }
            ],
            "uaColor": []
          },
          {
            "colorOptions": {
              "ccScaleMode": "NORMAL",
              "colorPalette": "default",
              "customColors": {},
              "customPalette": {
                "colors": [],
                "fixedValues": false,
                "id": "__dku_custom__",
                "name": "Custom Palette",
                "values": []
              },
              "heatDensityMapIntensity": 0.5,
              "heatDensityMapRadius": 0.5,
              "numQuantizeSteps": 5,
              "paletteMiddleValue": 0.0,
              "paletteType": "CONTINUOUS",
              "quantizationMode": "NONE",
              "singleColor": "#ff7f0e",
              "transparency": 0.75
            },
            "geometry": [],
            "uaColor": []
          }
        ],
        "geometry": [],
        "groupDimension": [],
        "hexbinNumber": 20,
        "hexbinRadius": 20,
        "hexbinRadiusMode": "NUM_HEXAGONS",
        "includeZero": true,
        "legendFormatting": {
          "fontColor": "#333",
          "fontSize": 11,
          "hasBackground": false
        },
        "legendPlacement": "OUTER_RIGHT",
        "mapGridOptions": {
          "gridLatDeg": 0.5,
          "gridLonDeg": 0.5
        },
        "mapOptions": {
          "lockSquareGrid": false,
          "tilesLayer": "cartodb-positron"
        },
        "multiTooltips": false,
        "name": "Card holders within 10km of a merchant",
        "pieOptions": {
          "donutHoleSize": 54.0
        },
        "pivotTableOptions": {
          "displayTotals": {
            "grandTotal": {
              "column": true,
              "row": true
            },
            "subTotals": {
              "columns": true,
              "rows": true
            }
          },
          "measureDisplayMode": "ROWS",
          "tableFormatting": {
            "columnHeaders": {
              "fontColor": "#333",
              "fontSize": 12,
              "hasBackground": false
            },
            "rowHeaders": {
              "fontColor": "#333",
              "fontSize": 12,
              "hasBackground": false
            },
            "values": {
              "fontColor": "#333",
              "fontSize": 12,
              "hasBackground": false
            }
          }
        },
        "radarOptions": {
          "filled": false,
          "lineStyle": {
            "type": "SOLID",
            "width": 2.0
          },
          "polygonsSource": "MEASURES"
        },
        "radialAxisFormatting": {
          "axisTitleFormatting": {
            "fontColor": "#333",
            "fontSize": 15,
            "hasBackground": false
          },
          "showAxisTitle": false
        },
        "scatterOptions": {
          "equalScales": false,
          "identityLine": false,
          "numberOfRecords": 100000.0,
          "regression": {
            "displayFormula": false,
            "labelPosition": "INSIDE_END",
            "lineColor": "#000",
            "lineFormatting": {
              "color": "#000",
              "size": 1
            },
            "lineSize": 1,
            "show": false,
            "textFormatting": {
              "backgroundColor": "#D9D9D9BF",
              "fontColor": "#333",
              "fontSize": 11,
              "hasBackground": false
            },
            "type": "LINEAR"
          }
        },
        "scatterZoomOptions": {
          "enabled": true,
          "persisted": true,
          "scale": [
            1.0,
            1.0
          ],
          "translate": [
            0.0,
            0.0
          ]
        },
        "showInChartLabels": true,
        "showInChartTotalValues": true,
        "showInChartValues": false,
        "showLegend": true,
        "showXAxis": false,
        "singleXAxis": true,
        "sizeMeasure": [],
        "smoothing": true,
        "strokeWidth": 2,
        "tooltipMeasures": [],
        "type": "geom_map",
        "uaColor": [],
        "uaShape": [],
        "uaSize": [],
        "uaTooltip": [],
        "uaXDimension": [],
        "uaYDimension": [],
        "useLiveProcessingIfAvailable": true,
        "userEditedName": true,
        "valuesInChartDisplayOptions": {
          "displayMode": "VALUES",
          "displayValues": false,
          "overlappingStrategy": "AUTO",
          "textFormatting": {
            "backgroundColor": "#D9D9D9BF",
            "fontColor": "AUTO",
            "fontSize": 11,
            "hasBackground": false
          }
        },
        "variant": "normal",
        "xAxisFormatting": {
          "axisTitleFormatting": {
            "fontColor": "#333",
            "fontSize": 15,
            "hasBackground": false
          },
          "axisValuesFormatting": {
            "axisTicksFormatting": {
              "fontColor": "#333",
              "fontSize": 12,
              "hasBackground": false
            },
            "numberFormatting": {
              "digitGrouping": "DEFAULT",
              "multiplier": "Auto",
              "prefix": "",
              "suffix": ""
            }
          },
          "customExtent": {
            "editMode": "AUTO",
            "manualExtent": [
              null,
              null
            ]
          },
          "displayAxis": true,
          "isLogScale": false,
          "showAxisTitle": true,
          "ticksConfig": {
            "mode": "INTERVAL"
          }
        },
        "xAxisMode": "NORMAL",
        "xCustomExtent": {
          "editMode": "AUTO",
          "manualExtent": [
            null,
            null
          ]
        },
        "xDimension": [],
        "xMeasure": [],
        "xTicks": {
          "mode": "INTERVAL"
        },
        "yAxesFormatting": [
          {
            "axisTitleFormatting": {
              "fontColor": "#333",
              "fontSize": 15,
              "hasBackground": false
            },
            "axisValuesFormatting": {
              "axisTicksFormatting": {
                "fontColor": "#333",
                "fontSize": 12,
                "hasBackground": false
              },
              "numberFormatting": {
                "digitGrouping": "DEFAULT",
                "multiplier": "Auto",
                "prefix": "",
                "suffix": ""
              }
            },
            "customExtent": {
              "editMode": "AUTO",
              "manualExtent": [
                null,
                null
              ]
            },
            "displayAxis": true,
            "isLogScale": false,
            "showAxisTitle": true,
            "ticksConfig": {
              "mode": "INTERVAL"
            }
          }
        ],
        "yAxisFormatting": {
          "axisTitleFormatting": {
            "fontColor": "#333",
            "fontSize": 15,
            "hasBackground": false
          },
          "axisValuesFormatting": {
            "axisTicksFormatting": {
              "fontColor": "#333",
              "fontSize": 12,
              "hasBackground": false
            },
            "numberFormatting": {
              "digitGrouping": "DEFAULT",
              "multiplier": "Auto",
              "prefix": "",
              "suffix": ""
            }
          },
          "customExtent": {
            "editMode": "AUTO",
            "manualExtent": [
              null,
              null
            ]
          },
          "displayAxis": true,
          "isLogScale": false,
          "showAxisTitle": true,
          "ticksConfig": {
            "mode": "INTERVAL"
          }
        },
        "yAxisMode": "NORMAL",
        "yCustomExtent": {
          "editMode": "AUTO",
          "manualExtent": [
            null,
            null
          ]
        },
        "yDimension": [],
        "yMeasure": [],
        "yTicks": {
          "mode": "INTERVAL"
        },
        "zoomOptions": {
          "enabled": true,
          "persisted": true,
          "scale": 1.0,
          "translate": [
            0.0,
            0.0
          ]
        }
      },
      "engineType": "LINO"
    }
  ],
  "customMeasures": [],
  "interactiveSearch": {
    "savedQueries": []
  },
  "script": {
    "analysisColumnData": {},
    "coloring": {
      "individualColumns": [],
      "scheme": "MEANING_AND_STATUS",
      "valueColoringMode": "HASH"
    },
    "columnUseScientificNotationByName": {},
    "columnWidthsByName": {
      "cardholder_county": 143,
      "cardholder_county_geom": 300,
      "cardholder_geopoint": 158,
      "cardholder_id": 113,
      "cardholder_state": 135,
      "merchant_bubble": 300,
      "merchant_geopoint": 169,
      "merchant_id": 127
    },
    "columnsSelection": {
      "mode": "ALL"
    },
    "explorationFilters": [
      {
        "active": true,
        "alphanumFilter": {
          "column": "merchant_id",
          "params": {
            "mode": "full_string",
            "normalization": "exact"
          },
          "selectedValues": [],
          "type": "alphanum"
        },
        "column": "merchant_id",
        "currentMode": "FACET",
        "facet": {
          "column": "merchant_id",
          "columnType": "ALPHANUM",
          "currentMode": "ALPHANUM",
          "selectedValues": {
            "M_ID_fb28eb7be9": true
          },
          "sort": "count",
          "type": "facet"
        },
        "type": "columnFilter",
        "validityFilter": {
          "column": "merchant_id",
          "params": {
            "empty": true,
            "nok": true,
            "ok": true,
            "type": "Text"
          },
          "type": "validity"
        }
      }
    ],
    "explorationSampling": {
      "_refreshTrigger": 0,
      "autoRefreshSample": false,
      "selection": {
        "ascending": true,
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "latestPartitionsN": 1,
        "maxReadUncompressedBytes": -1,
        "maxRecords": 10000,
        "maxRecordsForDisplay": -1,
        "maxStoredBytes": 104857600,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "partitionSelectionMethod": "ALL",
        "samplingMethod": "HEAD_SEQUENTIAL",
        "targetRatio": 0.02,
        "timeout": -1,
        "withinFirstN": -1
      }
    },
    "exploreUIParams": {
      "autoRefresh": true
    },
    "globalSearchQuery": "",
    "maxProcessedMemTableBytes": -1,
    "previewMode": "ALL_ROWS",
    "sorting": [],
    "steps": [],
    "vizSampling": {
      "_refreshTrigger": 0,
      "autoRefreshSample": false,
      "selection": {
        "ascending": true,
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "latestPartitionsN": 1,
        "maxReadUncompressedBytes": -1,
        "maxRecords": -1,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "partitionSelectionMethod": "ALL",
        "samplingMethod": "FULL",
        "targetRatio": 0.02,
        "useMemTable": false,
        "withinFirstN": -1
      }
    }
  }
}